Index: npl/mailserver/kopano_conf/root/etc/kopano/archiver.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/archiver.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
+++ npl/mailserver/kopano_conf/root/etc/kopano/archiver.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -0,0 +1,125 @@
+##############################################################
+# ARCHIVER SETTINGS
+
+# Server Unix socket location
+#server_socket = file:///var/run/kopano/server.sock
+
+# Disable archiving momentarily by setting this to 'no'
+archive_enable	=	yes
+
+# Archive messages older than N days
+archive_after	=	30
+
+# Stubbing messages requires a multi-server environment
+stub_enable	=	no
+
+# Unread messages can be skipped in the stubbing process
+stub_unread	=	no
+
+# Only stub messages after N days, 0 for the same as archive_after
+stub_after	=	0
+
+# Delete archives messages from the original server. Only archived messages can be deleted.
+delete_enable	=	no
+
+# Also delete unread messages from the original server
+delete_unread	=	no
+
+# Only delete messages after N days, 0 for the same as archive_after
+delete_after	=	0
+
+# Purge messages from the archive server(s).
+purge_enable	=	no
+
+# Only purge messages after N days, 0 for the same as archive_after
+# Default: 2555 (7 years)
+purge_after	=	2555
+
+# Specify what action should be taken on archive messages whose primary message
+# has been deleted. The normal options are 'store' and 'delete', meaning store the
+# archived message in a special 'Deleted' folder or delete the archived messages
+# respectively. A third option 'none' skips the entire cleanup_action, and therefore
+# effectively turns off archiver cleanup, leaving archived messages as they are.
+# Default: store
+cleanup_action	=	store
+
+# Specify if items that are cleaned up from the archive are at least the age
+# that is specified in the purge_after setting. This is to avoid messages 
+# being deleted from the archive when they where deleted from the primary
+# store by a delete operation.
+# Note that setting to yes, will cause a cleanup run to seemingly do nothing.
+# A rule of thumb is to set this to the same value as delete_enable. So when
+# delete_enable is set to yes, make sure cleanup_follow_purge_after is also
+# set to yes.
+# Default: no
+cleanup_follow_purge_after	=	no
+
+# Specify whether on each archive run an auto-attach run is performed in order
+# to match the attached archives to the requested state as specified in LDAP or
+# ADS.
+# Default: no
+enable_auto_attach = no
+
+# Specify whether an auto attached archive will be granted write permissions
+# for the user it's attached to.
+# Default: yes
+auto_attach_writable = yes
+
+##############################################################
+# ARCHIVER LOG SETTINGS
+
+# Logging method (syslog, file)
+log_method	=	file
+
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level	=	3
+
+# Logfile for log_method = file, use '-' for stderr
+log_file	=	/var/log/kopano/archiver.log
+
+# Log timestamp - prefix each log line with timestamp in 'file' logging mode
+log_timestamp	=	1
+
+# Buffer logging in what sized blocks. 0 for line-buffered (syslog-style).
+#log_buffer_size = 0
+
+##############################################################
+# ARCHIVER SSL LOGIN SETTINGS
+# 
+# Note: server_socket must be set to https://servername:portname/
+#       to use this type of login method
+
+# Login to the storage server using this SSL Key
+#sslkey_file = /etc/kopano/ssl/archiver.pem
+
+# The password of the SSL Key
+#sslkey_pass = replace-with-archiver-cert-password
+
+##############################################################
+# ARCHIVER INSTANCE PROTECTION SETTINGS
+
+# Control pid file
+# Default: /var/run/kopano/archiver.pid
+#pid_file = /var/run/kopano/archiver.pid
+
+##############################################################
+# ARCHIVER MYSQL SETTINGS
+
+# MySQL hostname to connect to for database access
+mysql_host		= localhost
+
+# MySQL port to connect with (usually 3306)
+mysql_port		= 3306
+
+# The user under which we connect with MySQL
+mysql_user		= root
+
+# The password for the user (leave empty for no password)
+mysql_password		= 
+
+# Override the default MySQL socket to access mysql locally
+# Works only if the mysql_host value is empty or 'localhost'
+mysql_socket		=
+
+# Database to connect to
+mysql_database		= kopano_archiver
Index: npl/mailserver/kopano_conf/root/etc/kopano/autorespond
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/autorespond	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
+++ npl/mailserver/kopano_conf/root/etc/kopano/autorespond	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -0,0 +1,34 @@
+# -*- Mode: sh -*-
+###########################################
+# Autoresponder settings
+###########################################
+
+# Autorespond if the recipient is in the Cc field
+AUTORESPOND_CC=0
+
+# Autorespond if the recipient is in the Bcc field
+AUTORESPOND_BCC=0
+
+# Autorespond if the recipient is not in any of To, Cc or Bcc
+# (i.e. received the message through a distribution list)
+AUTORESPOND_NORECIP=0
+
+# Only send reply to same e-mail address once per 24 hours
+TIMELIMIT=$((24*60*60))
+
+BASE_PATH=/var/lib/kopano/autorespond
+
+# File which contains where vacation message was sent
+SENDDB=$BASE_PATH/vacation-$USER.db
+
+# Tempfile containing message that will be sent
+SENDDBTMP=$BASE_PATH/vacation-$USER-$$.tmp
+
+# Customize your actual mail command, normally sendmail
+# Input to this command is the message to send
+SENDMAILCMD=/usr/sbin/sendmail
+
+# Additional parameters for the $SENDMAILCMD
+# The last parameter added to the $SENDMAILCMD is $FROM,
+# so take that into account for the $SENDMAILPARAMS
+SENDMAILPARAMS="-t -f"
Index: npl/mailserver/kopano_conf/root/etc/kopano/backup.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/backup.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/root/etc/kopano/backup.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -1,13 +1,30 @@
+##############################################################
+# SERVER SETTINGS
 
-# Login to the Kopano server using this SSL Key
-#sslkey_file = /etc/kopano/ssl/backup.pem
+# Socket to find the connection to the storage server.
+# Use https to reach servers over the network
+#server_socket   =   file:///var/run/kopano/server.sock
+
+# Login to the storage server using this SSL Key
+#sslkey_file         = /etc/kopano/ssl/search.pem
 
 # The password of the SSL Key
-#sslkey_pass = replace-with-server-cert-password
+#sslkey_pass         = replace-with-server-cert-password
 
-# Only backup stores from these servers. Leave blank for any server.
-# Only used when backing up all users, or a full company.
-backup_servers = 
+##############################################################
+# LOG SETTINGS
 
-# Use multiple threads when backing up multiple stores.
-threads = 1
+# Logging method (syslog, file)
+#log_method          =   file
+
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level           =   3
+
+# Logfile for log_method = file, use '-' for stderr
+#log_file            =   /var/log/kopano/backup.log
+
+##############################################################
+# BACKUP SETTINGS
+
+# maximum number of stores to backup in parallel
+#worker_processes   =   1
Index: npl/mailserver/kopano_conf/root/etc/kopano/dagent.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/dagent.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/root/etc/kopano/dagent.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -2,12 +2,14 @@
 # DAGENT SETTINGS
 
+# connection to the storage server
+#server_socket = file:///var/run/kopano/server.sock
 
 ##############################################################
 # DAGENT SSL LOGIN SETTINGS
-# 
-# Note: server_socket must be set to https://servername:portname/kopano
+#
+# Note: server_socket must be set to https://servername:portname/
 #       to use this type of login method
 
-# Login to the Kopano server using this SSL Key
+# Login to the storage server using this SSL Key
 #sslkey_file = /etc/kopano/ssl/dagent.pem
 
@@ -21,13 +23,29 @@
 log_method	=	file
 
-# Loglevel (0=no logging, 5=full logging)
-log_level	=	2
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level	=	3
 
 # Logfile for log_method = file, use '-' for stderr
-log_file	=	-
 log_file = /var/log/kopano/dagent.log
 
 # Log timestamp - prefix each log line with timestamp in 'file' logging mode
 log_timestamp	=	1
+
+# Log raw message to a file, please specify a username,
+# separate users with a space, or use 'all' to log all
+log_raw_message = no
+
+# Log raw messages path
+# consider mounting a `tmpfs' underneath this path
+# note that MySQL may store (large) files under /tmp
+log_raw_message_path = /tmp
+
+# Buffer logging in what sized blocks. 0 for line-buffered (syslog-style).
+#log_buffer_size = 0
+
+# for temporary files
+# consider mounting a `tmpfs' underneath this path (wherever you
+# point it to)
+tmp_path = /tmp
 
 ##############################################################
@@ -36,6 +54,9 @@
 
 # binding address for LMTP daemon
-# change to 0.0.0.0 if you require connections over the network
-server_bind = 127.0.0.1
+# change to the empty string if you require connections on other addresses
+#server_bind =
+# Limit connections to address of interface (IPv6),
+# or route path interface (IPv4). Leave empty for to indicate "all".
+#server_bind_intf =
 
 # LMTP port to listen on for LMTP connections
@@ -46,15 +67,17 @@
 lmtp_max_threads = 20
 
-# Process model for LMTP daemon, using pthreads (thread) or processes (fork)
-process_model = fork
-
 # run as specific user in LMTP mode.
-#   make sure this user is listed in local_admin_users in your kopano server config
+#   make sure this user is listed in local_admin_users in your storage server config
 #   or use SSL connections with certificates to login
-run_as_user =
+#run_as_user = kopano
 
 # run as specific group in LMTP mode.
-run_as_group =
+#run_as_group = kopano
 
+# control pid file
+#pid_file = /var/run/kopano/dagent.pid
+
+# create memory coredumps upon crash [no, systemdefault, yes]
+#coredump_enabled = systemdefault
 
 # The following e-mail header will mark the mail as spam, so the mail
@@ -62,20 +85,24 @@
 # The name is case insensitive.
 # set to empty to not use this detection scheme.
-spam_header_name = 
+#spam_header_name = X-Spam-Status
+spam_header_name =
 
 # If the above header is found, and contains the following value
 # the mail will be considered as spam.
-# Notes: 
+# Notes:
 #  - The value is case insensitive.
 #  - Leading and trailing spaces are stripped.
 #  - The word 'bayes' also contains the word 'yes'.
-spam_header_value = No
+spam_header_value = Yes,
 
-### For debugging
-# Log raw message to a file
-log_raw_message = no
-# Log raw messages path
-log_raw_message_path = /tmp
+# Whether dagent should filter HTML messages or not. Usually, WebApp takes
+# care of this. Letting dagent do this improves the user latency a
+# bit, but uses more disk space. (yes/no)
+#html_safety_filter = no
 
+##############################################################
+# DAGENT ARCHIVING SETTINGS
+
+# Enable archive_on_delivery to automatically archive all incoming
 # messages on delivery.
 # This will do nothing if no archive is attached to the target mailbox.
@@ -84,8 +111,11 @@
 ##############################################################
 # DAGENT PLUGIN SETTINGS
+
 # Enable the dagent plugin framework
-plugin_enabled = no
+plugin_enabled = yes
+
 # Path to the dagent plugin manager
 plugin_manager_path = /usr/share/kopano-dagent/python
+
 # Path to the activated dagent plugins.
 #   This folder contains symlinks to the kopano plugins and custom scripts. The plugins are
@@ -97,2 +127,38 @@
 plugin_path = /var/lib/kopano/dagent/plugins
 
+##############################################################
+# DAGENT RULE SETTINGS
+
+# Enable the addition of X-Kopano-Rule-Action headers on messages
+# that have been forwarded or replied by a rule.
+# Default: yes
+set_rule_headers = yes
+
+# Enable this option to prevent rules to cause a loop. An e-mail can only be forwarded
+# once. When this option is enabled, the set_rule_headers option must also be enabled.
+# Default: no
+no_double_forward = no
+
+# Some emails do not contain any charset information, or may wrongly specify
+# us-ascii when they are not. If this option is set, mails which would normally
+# be decoded as ASCII will have their content instead interpreted in the
+# alternate character set specified here (which must also be ASCII compatible).
+#default_charset = us-ascii
+
+# A list of space-separated domains to which forwarding via a rule is allowed.
+# The '*' matches zero or more characters, _including_ dots.
+# Example:
+#    forward_whitelist_domains = kopano.com *.kopano.com
+#
+# Example:
+#    forward_whitelist_domains = kopano.com sub.kopano.com
+#
+#forward_whitelist_domains = *
+
+# A custom-defined reply subject to the user with a rule forwarding to a
+# domain not in forward_whitelist_domains.
+#forward_whitelist_domain_subject = REJECT: %subject not forwarded (administratively blocked)
+
+# A custom-defined reply message to the user with a rule forwarding to a
+# domain not in forward_whitelist_domains.
+#forward_whitelist_domain_message = The Kopano mail system has rejected your request to forward your e-mail with subject %subject (via mail filters) to %sender: the operation is not permitted.\n\nRemove the rule or contact your administrator about the forward_whitelist_domains setting.
Index: npl/mailserver/kopano_conf/root/etc/kopano/gateway-conv.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/gateway-conv.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ 	(revision )
@@ -1,69 +1,0 @@
-# Syn-3: Special settings for email migration without password login and imapsync
-# ONLY USED DURING CONVERSION OF MAIL
-
-
-server_bind	=	127.0.0.1
-
-
-# drop privileges and run the process as this user
-run_as_user = root
-
-# drop privileges and run the process as this group
-run_as_group = root
-
-
-# run server in this path (when not using the -F switch)
-running_path = /
-
-# enable/disable POP3, and POP3 listen port
-pop3_enable	=	no
-pop3_port	=	110
-
-# enable/disable Secure POP3, and Secure POP3 listen port
-pop3s_enable	=	no
-#pop3s_port	=	10143
-
-# enable/disable IMAP, and IMAP listen port
-imap_enable	=	no
-#imap_port	=	10143
-
-# enable/disable Secure IMAP, and Secure IMAP listen port
-imaps_enable	=	yes
-imaps_port	=	10143
-
-# Only mail folder for IMAP or all subfolders (calendar, contacts, tasks, etc. too)
-imap_only_mailfolders	=	yes
-
-# Show Public folders for IMAP
-imap_public_folders	=	no
-
-# IMAP clients may use IDLE command
-imap_capability_idle = no
-
-# File with RSA key for SSL
-ssl_private_key_file	=	/usr/webint/ssl/server.pem
-
-#File with certificate for SSL
-ssl_certificate_file	=	/usr/webint/ssl/server.crt
-
-# Verify client certificate
-ssl_verify_client	=	no
-
-# Client verify file and/or path
-ssl_verify_file		=	
-ssl_verify_path		=
-
-##############################################################
-# GATEWAY LOG SETTINGS
-
-# Logging method (syslog, file)
-log_method	=	file
-
-# Loglevel (0=no logging, 5=full logging)
-log_level	=	2
-
-# Logfile for log_method = file, use '-' for stderr
-log_file	=	/var/log/kopano/gateway-conv.log
-
-# Log timestamp - prefix each log line with timestamp in 'file' logging mode
-log_timestamp	=	1
Index: npl/mailserver/kopano_conf/root/etc/kopano/gateway.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/gateway.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/root/etc/kopano/gateway.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -2,16 +2,30 @@
 # GATEWAY SETTINGS
 
-server_bind	=	0.0.0.0
+#server_bind	=
 
-# WARNING!! YOU MUST RUN KOPANO GATEWAY UNDER A DIFFERENT USER THAN THE SERVER PROCESS
+# Please refer to the administrator manual or manpage why HTTP is used rather than the UNIX socket.
+#server_socket = http://localhost:236/
+
+# Set this value to a name to show in the logon greeting to clients.
+# Leave empty to use DNS to find this name.
+server_hostname =
+
+# Whether to show the hostname in the logon greeting to clients.
+server_hostname_greeting = no
+
 # drop privileges and run the process as this user
-run_as_user = kopano-gateway
+#run_as_user = kopano
 
 # drop privileges and run the process as this group
-run_as_group = kopano-gateway
+#run_as_group = kopano
 
+# create a pid file for stopping the service via the init.d scripts
+#pid_file = /var/run/kopano/gateway.pid
 
 # run server in this path (when not using the -F switch)
-running_path = /
+#running_path = /var/lib/kopano
+
+# create memory coredumps upon crash [no, systemdefault, yes]
+#coredump_enabled = systemdefault
 
 # enable/disable POP3, and POP3 listen port
@@ -40,9 +54,33 @@
 imap_capability_idle = yes
 
+# The maximum size of an email that can be uploaded to the gateway
+imap_max_messagesize = 128M
+
+# Override the e-mail charset and generate using utf-8 (when imap data is not present on the item)
+imap_generate_utf8 = no
+
+# Internally issue the expunge command to directly delete e-mail marked for deletion in IMAP.
+imap_expunge_on_delete = no
+
+# Store full rfc822 message during APPEND
+imap_store_rfc822 = yes
+
+# Maximum count of allowed failed IMAP command counts per client
+imap_max_fail_commands = 10
+
+# Some MUAs are sending commands via idle causing the connection
+# to reach imap_max_fail_commands and leaves the client in a
+# broken state. The clients include Apple Mail. If you experience
+# problems or uses Apple Mail set this option to yes
+#imap_ignore_command_idle = no
+
+# Disable all plaintext authentications unless SSL/TLS is used
+disable_plaintext_auth = no
+
 # File with RSA key for SSL
 ssl_private_key_file	=	/usr/webint/ssl/server.pem
 
 #File with certificate for SSL
-ssl_certificate_file	=	/usr/webint/ssl/server.crt
+ssl_certificate_file	= /usr/webint/ssl/server.crt
 
 # Verify client certificate
@@ -50,13 +88,30 @@
 
 # Client verify file and/or path
-ssl_verify_file		=	
+ssl_verify_file		=
 ssl_verify_path		=
 
+# SSL protocols to use, space-separated list of protocols
+# (SSLv3 TLSv1 TLSv1.1 TLSv1.2); prefix with ! to lock out a protocol.
+#ssl_protocols =
+
+# SSL ciphers to use, set to 'ALL' for backward compatibility
+ssl_ciphers = ALL:!LOW:!SSLv2:!EXP:!aNULL
+
+# Prefer the server's order of SSL ciphers over client's
+ssl_prefer_server_ciphers = no
+
 # Process model, using pthreads (thread) or processes (fork)
+# Processes are potentially safer from a security point of view.
 process_model = fork
 
+# For temporary files.
+# consider mounting a `tmpfs' underneath this path (wherever you
+# point it to)
+tmp_path = /tmp
 
-imap_store_rfc822=yes
-
+# Whether Gateway should filter HTML messages or not. Usually, WebApp
+# takes care of this. Letting the gateways do this improves the user latency a
+# bit, but uses more disk space. (yes/no)
+#html_safety_filter = no
 
 ##############################################################
@@ -66,6 +121,6 @@
 log_method	=	file
 
-# Loglevel (0=no logging, 5=full logging)
-log_level	=	2
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level	=	3
 
 # Logfile for log_method = file, use '-' for stderr
@@ -75,5 +130,7 @@
 log_timestamp	=	1
 
+# Buffer logging in what sized blocks. 0 for line-buffered (syslog-style).
+#log_buffer_size = 0
 
-
-
+# Bypass authentification when connecting as an administrator to the UNIX socket.
+# bypass_auth = no
Index: npl/mailserver/kopano_conf/root/etc/kopano/ical.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/ical.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/root/etc/kopano/ical.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -3,23 +3,25 @@
 
 # drop privileges and run the process as this user
-run_as_user = kopano
+#run_as_user = kopano
 
 # drop privileges and run the process as this group
-run_as_group = kopano
+#run_as_group = kopano
 
+# create a pid file for stopping the service via the init.d scripts
+#pid_file = /var/run/kopano/ical.pid
 
 # run server in this path (when not using the -F switch)
-running_path = /
+#running_path = /var/lib/kopano
 
-# IP Address to bind to (0.0.0.0 for ANY)
-server_bind = 0.0.0.0
+# IP Address to bind to (empty for ANY)
+#server_bind =
 
-# wether normal connections can be made to the ical server
+# whether normal connections can be made to the ical server
 ical_enable = yes
 
 # port which the ical server listens on for normal connections
-ical_port = 8008
+ical_port = 8080
 
-# wether ssl connections can be made to the ical server
+# whether ssl connections can be made to the ical server
 icals_enable = yes
 
@@ -27,11 +29,10 @@
 icals_port = 8443
 
-# default connection to the Kopano server
-server_socket = http://localhost:236/kopano
+# default connection to the storage server
+# Please refer to the administrator manual or manpage why HTTP is used rather than the UNIX socket.
+server_socket = http://localhost:236/
 
 # Process model, using pthreads (thread) or processes (fork)
 process_model = fork
-
-enable_ical_get=yes
 
 ##############################################################
@@ -41,6 +42,6 @@
 log_method = file
 
-# Loglevel (0=no logging, 5=full logging)
-log_level = 2
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level = 3
 
 # Logfile for log_method = file, use '-' for stderr
@@ -49,4 +50,7 @@
 # Log timestamp - prefix each log line with timestamp in 'file' logging mode
 log_timestamp = 1
+
+# Buffer logging in what sized blocks. 0 for line-buffered (syslog-style).
+#log_buffer_size = 0
 
 ##############################################################
@@ -63,6 +67,16 @@
 
 # Client verify file and/or path
-ssl_verify_file = 
+ssl_verify_file =
 ssl_verify_path =
+
+# SSL protocols to use, space-separated list of protocols
+# (SSLv3 TLSv1 TLSv1.1 TLSv1.2); prefix with ! to lock out a protocol.
+#ssl_protocols =
+
+# SSL ciphers to use, set to 'ALL' for backward compatibility
+ssl_ciphers = ALL:!LOW:!SSLv2:!EXP:!aNULL
+
+# Prefer the server's order of SSL ciphers over client's
+ssl_prefer_server_ciphers = no
 
 ##############################################################
@@ -75,2 +89,4 @@
 default_charset = utf-8
 
+# Enable the iCalendar GET method for downloading calendars
+enable_ical_get = yes
Index: npl/mailserver/kopano_conf/root/etc/kopano/kopano.inf
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/kopano.inf	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
+++ npl/mailserver/kopano_conf/root/etc/kopano/kopano.inf	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -0,0 +1,39 @@
+[Services]
+ZARAFA6=Kopano Server
+
+# Service
+[ZARAFA6]
+PR_DISPLAY_NAME=Kopano Server
+PR_SERVICE_DLL_NAME=zarafa6client.dll
+PR_SERVICE_SO_NAME=libkcclient.so
+PR_SERVICE_ENTRY_NAME=MSGServiceEntry
+PR_RESOURCE_FLAGS=SERVICE_SINGLE_COPY|SERVICE_PRIMARY_IDENTITY
+# windows also has: ZARAFA6_MSXP, ZARAFA6_MSMDB_Delegate
+Providers=ZARAFA6_ABP, ZARAFA6_MSMDB_private, ZARAFA6_MSMDB_public
+
+# Provider
+[ZARAFA6_ABP]
+PR_PROVIDER_DISPLAY=Kopano Directory Service
+PR_RESOURCE_TYPE=MAPI_AB_PROVIDER
+PR_DISPLAY_NAME=Kopano Directory Service
+PR_AB_PROVIDER_ID=AC21A95040D3EE48B319FBA753304425
+
+# Provider
+[ZARAFA6_MSMDB_private]
+PR_PROVIDER_DISPLAY=Kopano Message Store
+PR_RESOURCE_TYPE=MAPI_STORE_PROVIDER
+PR_MDB_PROVIDER=CA3D253C27D23C4494FE425FAB958C19
+PR_RESOURCE_FLAGS=STATUS_PRIMARY_IDENTITY|STATUS_DEFAULT_STORE|STATUS_PRIMARY_STORE
+PR_DISPLAY_NAME=Private Folders
+660A0003=01000000
+66090003=0C000000
+
+# Provider
+[ZARAFA6_MSMDB_public]
+PR_PROVIDER_DISPLAY=Kopano Message Store
+PR_RESOURCE_TYPE=MAPI_STORE_PROVIDER
+PR_MDB_PROVIDER=094A7FD4BDD33C49B2FC3C90BBCB48D4
+PR_RESOURCE_FLAGS=STATUS_NO_DEFAULT_STORE
+PR_DISPLAY_NAME=Public Folders
+660A0003=03000000
+66090003=06000000
Index: npl/mailserver/kopano_conf/root/etc/kopano/migration-pst.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/migration-pst.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
+++ npl/mailserver/kopano_conf/root/etc/kopano/migration-pst.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -0,0 +1,24 @@
+##############################################################
+# SERVER SETTINGS
+
+# Socket to find the connection to the storage server.
+# Use https to reach servers over the network
+#server_socket   =   file:///var/run/kopano/server.sock
+
+# Login to the storage server using this SSL Key
+#sslkey_file         = /etc/kopano/ssl/search.pem
+
+# The password of the SSL Key
+#sslkey_pass         = replace-with-server-cert-password
+
+##############################################################
+# LOG SETTINGS
+
+# Logging method (syslog, file)
+#log_method          =   file
+
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level           =   3
+
+# Logfile for log_method = file, use '-' for stderr
+#log_file            =   /var/log/kopano/migration-pst.log
Index: npl/mailserver/kopano_conf/root/etc/kopano/monitor.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/monitor.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/root/etc/kopano/monitor.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -2,14 +2,21 @@
 # KOPANO MONITOR SETTINGS
 
+# Server Unix socket location
+#server_socket = file:///var/run/kopano/server.sock
+
+# in a multi-server environment, which servers to monitor (default all)
+servers =
 
 # drop privileges and run the process as this user
-run_as_user = kopano
+#run_as_user = kopano
 
 # drop privileges and run the process as this group
-run_as_group = kopano
+#run_as_group = kopano
 
+# create a pid file for stopping the service via the init.d scripts
+#pid_file = /var/run/kopano/monitor.pid
 
 # run server in this path (when not using the -F switch)
-running_path = /
+#running_path = /var/lib/kopano
 
 ##############################################################
@@ -19,6 +26,6 @@
 log_method	=	file
 
-# Loglevel (0=no logging, 5=full logging)
-log_level	=	2
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level	=	3
 
 # Logfile for log_method = file, use '-' for stderr
@@ -28,15 +35,24 @@
 log_timestamp	=	1
 
+# Buffer logging in what sized blocks. 0 for line-buffered (syslog-style).
+#log_buffer_size = 0
+
 ##############################################################
 # MONITOR SSL LOGIN SETTINGS
 # 
-# Note: server_socket must be set to https://servername:portname/kopano
+# Note: server_socket must be set to https://servername:portname/
 #       to use this type of login method
 
-# Login to the Kopano server using this SSL Key
-sslkey_file = /etc/kopano/ssl/monitor.pem
+# Login to the storage server using this SSL Key
+#sslkey_file = /etc/kopano/ssl/monitor.pem
 
 # The password of the SSL Key
-sslkey_pass = replace-with-monitor-cert-password
+#sslkey_pass = replace-with-monitor-cert-password
+
+##############################################################
+# KOPANO MONITOR INTERVAL SETTINGS
+
+# Quota check interval (in minutes)
+quota_check_interval = 15
 
 ##############################################################
@@ -46,13 +62,9 @@
 mailquota_resend_interval = 1
 
-# Templates to be used for quota emails which are send to the user
+# Template to be used for quota emails which are sent to the user
 # when the various user quota levels have been exceeded.
-userquota_warning_template  =   /etc/kopano/quotamail/userwarning.mail
-userquota_soft_template     =   /etc/kopano/quotamail/usersoft.mail
-userquota_hard_template     =   /etc/kopano/quotamail/userhard.mail
+userquota_warning_template = /etc/kopano/quotamail/userwarning.mail
 
-# Templates to be used for quota emails which are send to the company administrators
-# when the various company quota levels have been exceeded.
-companyquota_warning_template   =   /etc/kopano/quotamail/companywarning.mail
-companyquota_soft_template      =   /etc/kopano/quotamail/companysoft.mail
-companyquota_hard_template      =   /etc/kopano/quotamail/companyhard.mail
+# Templates to be used for quota emails which are sent to the company administrators
+# when the company quota level has been exceeded.
+companyquota_warning_template = /etc/kopano/quotamail/companywarning.mail
Index: npl/mailserver/kopano_conf/root/etc/kopano/presence.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/presence.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
+++ npl/mailserver/kopano_conf/root/etc/kopano/presence.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -0,0 +1,71 @@
+##############################################################
+# PRESENCE SERVICE SETTINGS
+
+# Location of presence backup
+data_path           =   /var/lib/kopano/presence/
+
+# save data every N minutes
+data_save_interval   =   5
+
+# run as specific user
+#run_as_user         = kopano
+
+# run as specific group
+#run_as_group        = kopano
+
+# control pid file
+#pid_file            =   /var/run/kopano/presence.pid
+
+# run server in this path (when not using the -F switch)
+#running_path = /var/lib/kopano
+
+# Configure listening address and port, for standalone
+# operation only
+server_bind = 0.0.0.0
+
+server_port = 1234
+
+server_auth_user = presence
+server_auth_password = presence
+
+# Random key for session data
+server_secret_key = GEHEIM
+
+# Minutes after which authentication tokens expire
+server_token_expire = 5
+
+# Enabled plugins (currently available: xmpp, spreed)
+plugins = spreed
+
+##############################################################
+# LOG SETTINGS
+
+# Logging method (syslog, file)
+log_method          =   file
+
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level           =   3
+
+# Logfile for log_method = file, use '-' for stderr
+log_file            =   /var/log/kopano/presence.log
+
+# Log timestamp - prefix each log line with timestamp in 'file' logging mode
+log_timestamp       =   1
+
+##############################################################
+# XMPP PLUGIN SETTINGS
+
+# log in as user
+xmpp_jid            =
+
+# with password
+xmpp_password       =
+
+# strip entire domain
+xmpp_user_id_strip_domain = true
+
+##############################################################
+# SPREED PLUGIN SETTINGS
+
+# Minutes after which user without updates becomes unavailable
+spreed_auto_unavailable = 2
Index: npl/mailserver/kopano_conf/root/etc/kopano/search.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/search.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/root/etc/kopano/search.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -3,26 +3,31 @@
 
 # Location of the index files
-index_path          = /home/system/kopano_index/
+# index_path          =   /var/lib/kopano/search
+index_path          =   /home/system/kopano_index/
 
 # run as specific user
-run_as_user         = kopano
+#run_as_user         = kopano
 
 # run as specific group
-run_as_group        = kopano
+#run_as_group        = kopano
 
+# control pid file
+#pid_file            =   /var/run/kopano/search.pid
 
 # run server in this path (when not using the -F switch)
-running_path        =   /
+#running_path = /var/lib/kopano
 
 # Limit the number of results returned (0 = don't limit)
-limit_results		=	0
-
+limit_results		=	1000
 
 ##############################################################
-# CONNECTION TO KOPANO SERVER SETTINGS
+# CONNECTION TO STORAGE SERVER SETTINGS
 #
 
+# Socket to find the connection to the storage server.
+# Use https to reach servers over the network
+#server_socket = file:///var/run/kopano/server.sock
 
-# Login to the Kopano server using this SSL Key
+# Login to the storage server using this SSL Key
 #sslkey_file         = /etc/kopano/ssl/search.pem
 
@@ -34,10 +39,13 @@
 #
 
+# binding address
+# To setup for multi-server, use: http://0.0.0.0:port or https://0.0.0.0:port
+server_bind_name   =   file:///var/run/kopano/search.sock
 
 # File with RSA key for SSL, used then server_bind_name uses https
-#ssl_private_key_file= /etc/kopano/search/privkey.pem
+ssl_private_key_file = /etc/kopano/search/privkey.pem
 
 # File with certificate for SSL, used then server_bind_name uses https
-#ssl_certificate_file= /etc/kopano/search/cert.pem
+ssl_certificate_file = /etc/kopano/search/cert.pem
 
 ##############################################################
@@ -47,6 +55,6 @@
 log_method          =   file
 
-# Loglevel (0=no logging, 5=full logging, 6=debugging)
-log_level           =   5
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level           =   3
 
 # Logfile for log_method = file, use '-' for stderr
@@ -56,8 +64,10 @@
 log_timestamp       =   1
 
-log_buffer_size = 0 
 
 ##############################################################
 # ADVANCED INDEXED SEARCH SETTINGS
+
+# Back end search engine (currently only xapian is supported)
+#search_engine = xapian
 
 # Size of indexing cache (used for indexing only, not for searching)
@@ -68,16 +78,15 @@
 #index_exclude_properties = 007D 0064 0C1E 0075 678E 678F
 
-##############################################################
-# INDEX OPTIMIZATION SCHEDULE
+# Number of indexing processes used during initial indexing
+# Setting this to a higher value can greatly speed up initial indexing,
+# especially when attachments are indexed.
+index_processes		=   1
 
-# Start the optimization routine at this hour, in 24h notation.
-#optimize_start = 2
+# Index junk folder
+#index_junk = yes
 
-# Stop the optimization routine at this hour, in 24h notation.
-# The current index that is being optimized is finished before stopping.
-#optimize_stop = 5
-
-# Only optimize indexes which wern't optimized for the past X days.
-#optimize_age = 7
+# Prepare search suggestions ("did-you-mean?") during indexing
+# This takes up a large percentage of the used disk space
+#suggestions = yes
 
 ##############################################################
@@ -89,27 +98,2 @@
 # Maximum file size for attachments
 index_attachment_max_size = 5M
-
-# Scripts to attachment to text parser
-index_attachment_parser = /etc/kopano/searchscripts/attachments_parser
-
-# Maximum amount of memory which a parser may use in bytes (set to 0 for unlimited)
-# If this maximum is exceeded the parser will be killed
-index_attachment_parser_max_memory = 0 
-
-# Maximim amount of CPU time (in seconds) which a parser may spend on parsing (set to 0 for unlimited)
-# If this maximum is exceeded the parser will be killed
-index_attachment_parser_max_cputime = 0
-
-# Filter out parsing of attachment which has a mimetype from this list
-# Only the first part of the mime needs to be given, like 'image'.
-# This field is SPACE separated
-index_attachment_mime_filter =
-
-# Filter out parsing of attachment which has an extension from this list
-# (only tested if mimetype was not found on the attachment)
-# This field is SPACE separated
-index_attachment_extension_filter =
-
-#number of parallel indexers
-index_processes=4
-
Index: npl/mailserver/kopano_conf/root/etc/kopano/server.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/server.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/root/etc/kopano/server.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -2,8 +2,8 @@
 # SERVER SETTINGS
 
-# IP Address to bind to (0.0.0.0 for ANY)
-# Set to 127.0.0.1 if connections should only come from localhost
+# IP Address to bind to (empty for ANY)
+# Set to ::1 or 127.0.0.1 if connections should only come from localhost
 # and through the webserver proxy
-server_bind		= 0.0.0.0
+#server_bind		=
 
 # Accept normal TCP connections (not recommended to disable)
@@ -13,15 +13,23 @@
 server_tcp_port		= 236
 
-# Accept unix pipe connections (not recommended to disable)
+# Accept Unix pipe connections (not recommended to disable)
 server_pipe_enabled	= yes
 
+# Unix socket location
+server_pipe_name	= /var/run/kopano/server.sock
+
+# Priority Unix socket location
+server_pipe_priority	= /var/run/kopano/prio.sock
 
 # Name for identifying the server in a multi-server environment
 server_name = Kopano
 
+# Override the hostname of this server, used by Kerberos SSO if enabled
+server_hostname =
+
 # Database engine (mysql)
 database_engine		= mysql
 
-# Allow connections from normal users through the unix socket
+# Allow connections from normal users through the Unix socket
 allow_local_users	= yes
 
@@ -29,5 +37,10 @@
 # field is SPACE separated
 # eg: local_admin_users = root vmail
+#local_admin_users	= root kopano
 local_admin_users	= root alias
+
+# The user has full rights on a folder by default, uncomment the following line to disable this.
+# owner_auto_full_access = false
+owner_auto_full_access = true
 
 # e-mail address of the Kopano System user
@@ -35,12 +48,21 @@
 
 # drop privileges and run the process as this user
-run_as_user		= kopano
+#run_as_user		= kopano
 
 # drop privileges and run the process as this group
-run_as_group		= kopano
-
+#run_as_group		= kopano
+
+# create a pid file for stopping the service via the init.d scripts
+#pid_file		= /var/run/kopano/server.pid
 
 # run server in this path (when not using the -F switch)
-running_path = /
+#running_path = /var/lib/kopano
+
+# Use given allocator library. Values like libtcmalloc.so.4,
+# libtcmalloc_minimal.so.4 and libjemalloc.so.2 would work.
+#allocator_library = default
+
+# create memory coredumps upon crash [no, systemdefault, yes]
+#coredump_enabled = systemdefault
 
 # session timeout for clients. Values lower than 300 will be upped to 300
@@ -48,35 +70,51 @@
 # seconds, then the session is killed.
 session_timeout		= 300
-session_ip_check = yes
-
-# Socket to connect to for license server
-license_socket		= /var/run/kopanod/kopano-licensed
-
-# Time (in seconds) to wait for a connection to the license server before
-# terminating the request.
-license_timeout = 10
+
+# for temporary files
+# consider mounting a `tmpfs' underneath this path (wherever you
+# point it to)
+tmp_path = /tmp
 
 ##############################################################
 # LOG SETTINGS
 
-# Logging method (syslog, file)
-# (DatuX: use syslog for now, because file seems to triggers a glibc locking bug in __pthread_rwlock_rdlock_slow, at least in 2.21)
-log_method		= syslog
+# Logging method (syslog, file), syslog facility is 'mail'
+log_method		= file
 
 # Logfile (for log_method = file, '-' for stderr)
 log_file		= /var/log/kopano/server.log
 
-# Loglevel (0=no logging, 5=full logging)
-log_level		= 2
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level		= 3
 
 # Log timestamp - prefix each log line with timestamp in 'file' logging mode
 log_timestamp		= 1
 
+# Buffer logging in what sized blocks. 0 for line-buffered (syslog-style).
+#log_buffer_size = 0
+
+##############################################################
+# AUDIT LOG SETTINGS
+
+# Audit logging is by default not enabled
+audit_log_enabled	= no
+
+# Audit logging method (syslog, file), syslog facility is 'authpriv'
+audit_log_method	= syslog
+
+# Audit logfile (for log_method = file, '-' for stderr)
+audit_log_file		= /var/log/kopano/audit.log
+
+# Audit loglevel (0=no logging, 1=full logging)
+audit_log_level		= 1
+
+# Audit log timestamp - prefix each log line with timestamp in 'file' logging mode
+audit_log_timestamp	= 1
+
 ##############################################################
 # MYSQL SETTINGS (for database_engine = mysql)
 
 # MySQL hostname to connect to for database access
-#mysql_host		= localhost
-mysql_socket		= /var/run/mysql/mysql.sock
+mysql_host		= localhost
 
 # MySQL port to connect with (usually 3306)
@@ -89,11 +127,25 @@
 mysql_password		= %mysql_passwd%
 
+# Override the default MySQL socket to access mysql locally
+# Works only if the mysql_host value is empty or 'localhost'
+#mysql_socket		=
+mysql_socket		= /var/run/mysql/mysql.sock
+
 # Database to connect to
 mysql_database		= zarafa
 
-# Where to place attachments. Value can be 'database' or 'files'
+# Where to place attachments. Value can be 'database', 'files' or 's3'
 attachment_storage	= files
 
+# Enable fsync as method to make sure attachments are stored on disk where
+# supported and will not be buffered by OS and/or filesystem. Please note
+# this setting will lower attachment write performance depending on your
+# environment but enhances data safety with disaster recovery.
+# Only affects 'files' attachment storage backend.
+attachment_files_fsync  = yes
+
 # When attachment_storage is 'files', use this path to store the files
+# When attachment_storage is 's3', use this path to set a prefix to all
+# attachment data of a certain cluster, for example 'attach'
 attachment_path		= /home/system/kopano
 
@@ -103,8 +155,34 @@
 
 ##############################################################
+# S3 STORAGE SETTINGS (for attachment_storage = s3)
+
+# The hostname of the entry point to the S3 cloud where the bucket is located
+# If you are using miniio or an other S3 compatible implementation that
+# is using another port, you can specify the port with hostname:port.
+#attachment_s3_hostname = s3-eu-west-1.amazonaws.com
+
+# The region where the bucket is located
+#attachment_s3_region = eu-west-1
+
+# The protocol that should be used to connect to S3, 'http' or 'https' (preferred)
+#attachment_s3_protocol = https
+
+# The URL style of the bucket, "virtualhost" or "path"
+#attachment_s3_uristyle = virtualhost
+
+# The access key id of your S3 account
+#attachment_s3_accesskeyid =
+
+# The secret access key of your S3 account
+#attachment_s3_secretaccesskey =
+
+# The bucket name in which the files will be stored
+#attachment_s3_bucketname =
+
+##############################################################
 #  SSL SETTINGS
 
 # enable SSL support in server
-server_ssl_enabled	= no
+server_ssl_enabled	= yes
 
 # Listen for SSL connections on this port
@@ -115,12 +193,22 @@
 
 # Password of Server certificate
-server_ssl_key_pass	=
+server_ssl_key_pass	= replace-with-server-cert-password
 
 # Required Certificate Authority of server
-server_ssl_ca_file	= /etc/kopano/ssl/server.crt
+server_ssl_ca_file	= /usr/webint/ssl/server.crt
 
 # Path with CA certificates, e.g. /etc/ssl/certs
 server_ssl_ca_path	=
 
+# SSL protocols to use, space-separated list of protocols
+# (SSLv3 TLSv1 TLSv1.1 TLSv1.2); prefix with ! to lock out a protocol.
+#server_ssl_protocols =
+
+# SSL ciphers to use, set to 'ALL' for backward compatibility
+server_ssl_ciphers = ALL:!LOW:!SSLv2:!EXP:!aNULL
+
+# Prefer the server's order of SSL ciphers over client's
+server_ssl_prefer_server_ciphers = no
+
 # Path of SSL Public keys of clients
 sslkeys_path		= /etc/kopano/sslkeys
@@ -131,4 +219,5 @@
 # Number of server threads
 # default: 8
+#threads				=	8
 threads				=	16
 
@@ -146,7 +235,11 @@
 server_max_keep_alive_requests	=	100
 
-# SOAP recv timeout value
+# SOAP recv timeout value (time between requests)
 # default: 5
 server_recv_timeout	=	5
+
+# SOAP read timeout value (time during requests)
+# default: 60
+server_read_timeout	=	60
 
 # SOAP send timeout value
@@ -158,4 +251,5 @@
 
 # Softdelete clean cycle (in days) 0=never running
+# softdelete_lifetime	= 30
 # (SYN-3 uses a cronjob)
 softdelete_lifetime	= 0
@@ -164,15 +258,10 @@
 sync_lifetime		= 90
 
-# Set to 'yes' if all changes (for synchronization) to messages should be logged to the database
-sync_log_all_changes = yes
-
+# Set to 'yes' if you have Kerberos or NTLM correctly configured for single sign-on
+enable_sso = no
 
 # Set to 'yes' if you want to show the GAB to your users
 enable_gab = yes
 
-# Synchronize GAB users on every open of the GAB (otherwise, only on
-# kopano-admin --sync)
-sync_gab_realtime = yes
-
 # Authentication can be through plugin (default, recommended), pam or kerberos
 auth_method = plugin
@@ -184,27 +273,52 @@
 #############################################################
 # CACHE SETTINGS
-
+#
+# To see the live cache usage, use 'kopano-stats --system'.
 #SYN-3 caching config for around 1000 users.
 
+# Size in bytes of the 'cell' cache (should be set as high as you can afford to set it)
+#cache_cell_size				= 256M
 # around 25% of total RAM size
 cache_cell_size                 = 1G
 
+# Size in bytes of the 'object' cache
+#cache_object_size = 16M
 #  about 100kb per user
 cache_object_size               = 100M
 
+# Size in bytes of the 'indexed object' cache
+#cache_indexedobject_size = 32M
 # about 512kb per user
 cache_indexedobject_size        = 512M
 
-cache_store_size=512M
+
+# Size in bytes of the userquota details
+cache_quota_size			= 1M
 
 # Lifetime for userquota details
 cache_quota_lifetime		= 1
 
+# Size in bytes of the acl cache
+cache_acl_size				= 1M
+
+# Size in bytes of the store id/guid cache
+#cache_store_size			= 1M
+cache_store_size=512M
+
+# Size in bytes of the 'user id' cache (this is allocated twice)
+cache_user_size				= 1M
+
+# Size in bytes of the 'user details' cache
+cache_userdetails_size		= 25M
+
 # Lifetime for user details
-cache_userdetails_lifetime	= 5
-
-# Thread size in KB, default is 512
-# WARNING: Do not set too small, your server WILL crash
-thread_stacksize = 512
+cache_userdetails_lifetime	= 0
+
+# Size in bytes of the server details (multiserver setups only)
+cache_server_size			= 1M
+
+# Lifetime for server details (multiserver setups only)
+cache_server_lifetime	= 30
+
 
 ##############################################################
@@ -225,23 +339,19 @@
 quota_hard		= 0
 
-# The default Warning Quota Level. Set to 0 to disable this level.
-# The company administrator will receive an email when this level is reached. Value is in Mb. Default value is 0.
+# The default Warning Quota Level for multitenant public stores. Set to 0 to disable this level.
+# The tenant administrator will receive an email when this level is reached. Value is in Mb. Default value is 0.
 companyquota_warn      = 0
 
+
 ##############################################################
 #  USER PLUGIN SETTINGS
 
 # Name of the plugin that handles users
-# Required, default = ldap
+# Required, default = db
 # Values: ldap, unix, db
-#user_plugin		= db
 user_plugin		= ldap
 
-# configuration file of the user plugin, examples can be found in /usr/share/kopano/example-config
+# configuration file of the user plugin, examples can be found in /usr/share/doc/kopano/example-config
 user_plugin_config	= /etc/kopano/ldap.cfg
-
-# location of the kopano plugins
-# if you have a 64bit distribution, this probably should be changed to /usr/lib64/kopano
-plugin_path		= /usr/lib/kopano
 
 # scripts which create stores for users from an external source
@@ -254,16 +364,21 @@
 deletecompany_script	=	/etc/kopano/userscripts/deletecompany
 
+# Set this option to 'yes' to skip the creation and deletion of new users
+# The action will be logged, so you can see if your changes to the plugin
+# configuration are correct.
+user_safe_mode = no
+
 ##############################################################
 # MISC SETTINGS
 
-# Enable multi-company environment
-# When set to true it is possible to create companies within the
+# Enable multi-tenancy environment
+# When set to true it is possible to create tenants within the
 # kopano instance and assign all users and groups to particular
-# companies.
-# When set to false, the normal single-company environment is created.
+# tenants.
+# When set to false, the normal single-tenancy environment is created.
 enable_hosted_kopano = false
 
 # Enable multi-server environment
-# When set to true it is possible to place users and companies on
+# When set to true it is possible to place users and tenants on
 # specific servers.
 # When set to false, the normal single-server environment is created.
@@ -273,13 +388,13 @@
 # Allowed variables:
 #  %u Username
-#  %f Fullname
-#  %c Companyname
+#  %f Full name
+#  %c Tenant's name
 # default: %f
 storename_format = %f
 
-# Loginname format (for Hosted installations)
+# Loginname format (for Multi-tenancy installations)
 # When the user does not login through a system-wide unique
 # username (like the email address) a unique name is created
-# by combining the username and the companyname.
+# by combining the username and the tenantname.
 # With this configuration option you can set how the
 # loginname should be built up.
@@ -288,22 +403,9 @@
 #
 # Allowed variables:
-#  %u username
-#  %c companyname
+#  %u Username
+#  %c Teantname
 #
 # default: %u
 loginname_format = %u
-
-# Set to yes for Windows clients to be able to download the latest
-# Kopano Outlook client from the Kopano server
-client_update_enabled = false
-
-# Place the correct Kopano Outlook Client in this directory for
-# Windows clients to download through the Kopano server
-client_update_path = /var/lib/kopano/client
-
-# Recieve update information from the client (0 = disabled, 1 = only on error, 2 = log always)
-#client_update_log_level = 1
-# Log location for the client auto update files
-#client_update_log_path = /var/log/kopano/autoupdate
 
 # Everyone is a special internal group, which contains every user and group
@@ -317,44 +419,41 @@
 hide_system = yes
 
+# Use Indexing service for faster searching.
+# Enabling this option requires the kopano-search service to
+# be running.
+search_enabled = yes
+
+# Path to the kopano-search service, this option is only required
+# if the server is going to make use of the indexing service.
+search_socket = file:///var/run/kopano/search.sock
+
+# Time (in seconds) to wait for a connection to the kopano-search service
+# before terminating the indexed search request.
+search_timeout = 10
+
 # Allow enhanced ICS operations to speedup synchronization with cached profiles.
 # default: yes
 enable_enhanced_ics = yes
 
-# AUDIT LOG SETTINGS
-# Audit logging is by default not enabled
-audit_log_enabled     = no
-# Audit logging method (syslog, file), syslog facility is 'authpriv'
-audit_log_method      = syslog
-# Audit logfile (for log_method = file, '-' for stderr)
-audit_log_file                = /var/log/kopano/audit.log
-# Audit loglevel (0=no logging, 1=full logging)
-audit_log_level               = 1
-# Audit log timestamp - prefix each log line with timestamp in 'file' logging mode
-audit_log_timestamp   = 1
-
-# Disable features for users. Default all features are enabled. This
-# list is space separated. Currently valid values: imap
-disabled_features =
-
-
-#The server has a list of deferred writes to the tproperties table, to improve overall I/O performance. The number of deferred writes is kept below this value; setting it high will allow writes to be more efficient by grouping more writes together, but may slow down reading, and setting it low will force writes to complete directly, but speed up reading of tables.
-#max_deferred_records=
-#max_deferred_records_folder=
-
-
-
-# Enabling this option requires the kopano-search service to
-# be running.
-search_enabled = yes
-
 # SQL Procedures allow for some optimized queries when streaming with enhanced ICS.
 # This is default disabled because you must set 'thread_stack = 256k' in your
 # MySQL server config under the [mysqld] tag and restart your MySQL server.
+#enable_sql_procedures = no
 enable_sql_procedures = yes
 
-
-# Time (in seconds) to wait for a connection to the kopano-search service
-# before terminating the indexed search request.
-search_timeout = 10
+# Synchronize GAB users on every open of the GAB (otherwise, only on
+# kopano-admin --sync)
+sync_gab_realtime = yes
+
+# Disable features for users. This list is space separated.
+# Currently valid values: imap pop3 mobile outlook
+#disabled_features = imap pop3
+disabled_features =
+
+# Maximum number of deferred records in total
+max_deferred_records = 0
+
+# Maximum number of deferred records per folder
+max_deferred_records_folder = 20
 
 # Restrict the permissions that admins receive to folder permissions only. Please
@@ -375,2 +474,5 @@
 # and the value of '*' is used to indicate that all connections are proxied
 proxy_header =
+
+# Enable/disable reminders for shared stores
+shared_reminders = yes
Index: npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -3,24 +3,32 @@
 
 # Outgoing mailserver name or IP address
-# Use 127.0.0.1 to disable virusscanning for webmail. (not recommended)
+; smtp_server	=	localhost
 smtp_server	=	127.0.0.3
 
+# Port number for outgoing mailserver
+smtp_port = 25
+
+# Server Unix socket location
+#server_socket = file:///var/run/kopano/server.sock
 
 # drop privileges and run the process as this user
-run_as_user = kopano
+#run_as_user = kopano
 
 # drop privileges and run the process as this group
-run_as_group = kopano
+#run_as_group = kopano
 
+# create a pid file for stopping the service via the init.d scripts
+#pid_file = /var/run/kopano/spooler.pid
 
 # run server in this path (when not using the -F switch)
-running_path = /
+#running_path = /var/lib/kopano
 
-# The us-ascii charset will be upgraded to this charset, to allow more
-# use of high-characters. Not used when always_send_utf8 is enabled.
-charset_upgrade = windows-1252
+# create memory coredumps upon crash [no, systemdefault, yes]
+#coredump_enabled = systemdefault
 
-# Request SMTP Delivery Status Notifications if the MTA support it
-enable_dsn = yes
+# for temporary files
+# consider mounting a `tmpfs' underneath this path (wherever you
+# point it to)
+tmp_path = /tmp
 
 ##############################################################
@@ -30,6 +38,6 @@
 log_method	=	file
 
-# Loglevel (0=no logging, 5=full logging)
-log_level	=	3
+# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
+#log_level	=	3
 
 # Logfile for log_method = file, use '-' for stderr
@@ -39,16 +47,18 @@
 log_timestamp	=	1
 
+# Buffer logging in what sized blocks. 0 for line-buffered (syslog-style).
+#log_buffer_size = 0
 
 ##############################################################
 # SPOOLER SSL LOGIN SETTINGS
-# 
-# Note: server_socket must be set to https://servername:portname/kopano
+#
+# Note: server_socket must be set to https://servername:portname/
 #       to use this type of login method
 
-# Login to the Kopano server using this SSL Key
-sslkey_file = /etc/kopano/ssl/spooler.pem
+# Login to the storage server using this SSL Key
+#sslkey_file = /etc/kopano/ssl/spooler.pem
 
 # The password of the SSL Key
-sslkey_pass = replace-with-server-cert-password
+#sslkey_pass = replace-with-server-cert-password
 
 ##############################################################
@@ -76,9 +86,8 @@
 # Set this value to 'yes' to let the spooler always send emails with
 # delegates (other user than yourself in the From: header)
-# In installations before 6.20, this value was always 'yes'
+# In installations before 6.20, this value was always 'yes'.
+# IMPORTANT: This feature overrides "send-as" functionality.
+# always_send_delegates = no
 always_send_delegates = yes
-
-# This does the same as always_send_delegates, but gets rid of the 'on behalf of' text.
-#always_send_as = yes
 
 # Set this value to 'no' if you do NOT want to allow redirected e-mails
@@ -90,15 +99,31 @@
 copy_delegate_mails = yes
 
-# Setting this option to no will disallow sending to the everyone group.
-allow_send_to_everyone=yes
+# Allow to forward and sent a meeting request as delegate Kopano and
+# SMTP user.
+allow_delegate_meeting_request = yes
+
+# Allow users to send email to the 'everyone' group
+allow_send_to_everyone = yes
 
 ##############################################################
-# SPOOLER MEETING REQUEST SETTINGS
+# SPOOLER OUTPUT SETTINGS
 
 # Set this value to 'yes' to always send meeting request information
-# using TNEF method (winmail.dat attachments)
-# Otherwise, the meeting request information is sent using
-# iCalendar (calendar.ics attachment).
+#   using TNEF method (winmail.dat attachments).
+#   Otherwise, the meeting request information is sent using
+#   iCalendar (calendar.ics attachment).
+# Mail bodies created in RTF text format will also use TNEF.
 always_send_tnef = no
+
+# Send all e-mail always using the UTF-8 charset.
+# Normally, the requested charset is used, which can be any charset.
+always_send_utf8 = no
+
+# The us-ascii charset will be upgraded to this charset, to allow more
+# use of high-characters. Not used when always_send_utf8 is enabled.
+charset_upgrade = windows-1252
+
+# Request SMTP Delivery Status Notifications if the MTA support it
+enable_dsn = yes
 
 ##############################################################
@@ -120,12 +145,13 @@
 # This will do nothing if no archive is attached to the source mailbox.
 archive_on_send = no
-
-####################################
+##############################################################
 # SPOOLER PLUGIN SETTINGS
 
 # Enable the spooler plugin framework
-plugin_enabled = no
+plugin_enabled = yes
+
 # Path to the spooler plugin manager
 plugin_manager_path = /usr/share/kopano-spooler/python
+
 # Path to the activated spooler plugins.
 #   This folder contains symlinks to the kopano plugins and custom scripts. The plugins are
@@ -136,4 +162,2 @@
 #  $ ln -s /usr/share/kopano-spooler/python/plugins/disclaimer.py /var/lib/kopano/spooler/plugins/disclaimer.py
 plugin_path = /var/lib/kopano/spooler/plugins
-
-
Index: npl/mailserver/kopano_conf/root/etc/kopano/zcontacts.inf
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/zcontacts.inf	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
+++ npl/mailserver/kopano_conf/root/etc/kopano/zcontacts.inf	(revision 2c1b61aef1abfa9d7c8de8e17213e90d9d08b4e9)
@@ -0,0 +1,17 @@
+[Services]
+ZCONTACTS=Kopano Contacts Addressbook
+
+# service
+[ZCONTACTS]
+PR_DISPLAY_NAME=Kopano Contacts Addressbook
+PR_SERVICE_DLL_NAME=libkccontacts.so
+PR_SERVICE_ENTRY_NAME=MSGServiceEntry
+PR_RESOURCE_FLAGS=SERVICE_SINGLE_COPY|SERVICE_PRIMARY_IDENTITY
+Providers=ZARAFA_CONTACTS_ABP
+
+# Provider
+[ZARAFA_CONTACTS_ABP]
+PR_PROVIDER_DISPLAY=Kopano Contacts Directory Service
+PR_RESOURCE_TYPE=MAPI_AB_PROVIDER
+PR_DISPLAY_NAME=Kopano Contacts Directory Service
+PR_AB_PROVIDER_ID=727F0430E3924FDAB86AE52A7FE46571
